Mailinglist Archive: opensuse-factory (536 mails)

< Previous Next >
Re: Please fix this before the release... (was: Re: [opensuse-factory] Leap 15.0 development finished)
  • From: Jimmy Berry <jberry@xxxxxxxx>
  • Date: Fri, 18 May 2018 14:43:08 -0500
  • Message-id: <12314656.bk97odUVvX@boomba.local>
On Friday, May 18, 2018 2:06:56 PM CDT Richard Brown wrote:
On 18 May 2018 at 16:56, Manfred Hollstein <mhollstein@xxxxxxxxxxx> wrote:
Currently, no package can be built in Packman because all are
"unresolvable". Andreas Schwab suggested that this should be fixed in
15.0 by the _project maintainer_, but so far this hasn't happened. I'm
pretty sure having all (still required) packages from Packman will be
appreciated by all users ;)

I believe Andreas' suggestion was that the _Packman_ Project
maintainer corrects the problem in the _Packman_ project

He was referring to the maintainer of _Leap 15.0_ (ie lnussel).

Referenced configuration difference:

- openSUSE:Leap:42.3:Ports

<repository name="ports" rebuild="local" linkedbuild="all">
<path project="openSUSE:Leap:42.3" repository="standard"/>

- openSUSE:Leap:15.0:Ports

<repository name="ports" rebuild="local" block="local" linkedbuild="all">
<path project="openSUSE:Leap:15.0" repository="ports"/>

The repositories on base product project have the same configuration and the
:Update repositories are setup the same as before as well.

- Packman

<repository name="openSUSE_Leap_42.3">
<path project="openSUSE.org:openSUSE:Leap:42.3:Update"
repository="standard"/>
<path project="openSUSE.org:openSUSE:Leap:42.3:Update" repository="ports"/

<repository name="openSUSE_Leap_15.0">
<path project="openSUSE.org:openSUSE:Leap:15.0:Update"
repository="standard"/>
<path project="openSUSE.org:openSUSE:Leap:15.0:Update" repository="ports"/


Summary, Packman has the same config for 15.0 as 42.3. Leap has a different
ports config for 15.0 and should be changed to match. Presumably others on OBS
will have a similar problem when building against ports on OBS.

I don't understand why OBS does not find the x86_64 binaries needed since a
path element explicitly includes the standard repo. The ports repository does
not have x86_64 available so how it is seemingly "overriding" is bizarre.

--
Jimmy


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >